Index: code/trunk/src/network/CMakeLists.txt
===================================================================
--- code/trunk/src/network/CMakeLists.txt	(revision 3102)
+++ code/trunk/src/network/CMakeLists.txt	(revision 3196)
@@ -37,18 +37,18 @@
 ADD_SUBDIRECTORY(packet)
 ADD_SUBDIRECTORY(synchronisable)
-GET_ALL_HEADER_FILES(NETWORK_HDR_FILES)
-SET(NETWORK_FILES ${NETWORK_SRC_FILES} ${NETWORK_HDR_FILES})
 
-GENERATE_SOURCE_GROUPS(${NETWORK_FILES})
-
-ADD_LIBRARY(network SHARED ${NETWORK_FILES})
-SET_TARGET_PROPERTIES(network PROPERTIES DEFINE_SYMBOL "NETWORK_SHARED_BUILD")
-TARGET_LINK_LIBRARIES(network
-  ${ZLIB_LIBRARY}
-  ${ENET_LIBRARY}
-  ${Boost_THREAD_LIBRARY}
-  util
-  core
+ORXONOX_ADD_LIBRARY(network
+  FIND_HEADER_FILES
+  DEFINE_SYMBOL
+    "NETWORK_SHARED_BUILD"
+  PCH_FILE
+    NetworkPrecompiledHeaders.h
+  LINK_LIBRARIES
+    ${ZLIB_LIBRARY}
+    ${ENET_LIBRARY}
+    ${Boost_THREAD_LIBRARY}
+    util
+    core
+  SOURCE_FILES
+    ${NETWORK_SRC_FILES}
 )
-
-ORXONOX_INSTALL(network)
Index: code/trunk/src/network/GamestateClient.cc
===================================================================
--- code/trunk/src/network/GamestateClient.cc	(revision 3102)
+++ code/trunk/src/network/GamestateClient.cc	(revision 3196)
@@ -34,5 +34,4 @@
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
-#include "core/Iterator.h"
 #include "synchronisable/Synchronisable.h"
 #include "synchronisable/NetworkCallbackManager.h"
Index: code/trunk/src/network/Host.h
===================================================================
--- code/trunk/src/network/Host.h	(revision 3102)
+++ code/trunk/src/network/Host.h	(revision 3196)
@@ -36,5 +36,5 @@
 namespace orxonox {
 
-  const int CLIENTID_SERVER = 0;
+  const unsigned int CLIENTID_SERVER = 0;
   const unsigned int NETWORK_FREQUENCY = 30;
   const float NETWORK_PERIOD = 1.0f/NETWORK_FREQUENCY;
Index: code/trunk/src/network/NetworkFunction.h
===================================================================
--- code/trunk/src/network/NetworkFunction.h	(revision 3102)
+++ code/trunk/src/network/NetworkFunction.h	(revision 3196)
@@ -36,5 +36,7 @@
 #include <map>
 #include <cassert>
+#include <boost/preprocessor/cat.hpp>
 #include "util/MultiType.h"
+#include "core/Functor.h"
 #include "synchronisable/Synchronisable.h"
 #include "OrxonoxConfig.h"
@@ -214,7 +216,7 @@
 
 #define registerStaticNetworkFunction( functionPointer ) \
-  static void* MACRO_CONCATENATE( NETWORK_FUNCTION_, __LINE__ ) = registerStaticNetworkFunctionFct( functionPointer, #functionPointer );
+  static void* BOOST_PP_CAT( NETWORK_FUNCTION_, __LINE__ ) = registerStaticNetworkFunctionFct( functionPointer, #functionPointer );
 #define registerMemberNetworkFunction( class, function ) \
-  static void* MACRO_CONCATENATE( NETWORK_FUNCTION_##class, __LINE__ ) = registerMemberNetworkFunctionFct<class>( &class::function, #class "_" #function);
+  static void* BOOST_PP_CAT( NETWORK_FUNCTION_##class, __LINE__ ) = registerMemberNetworkFunctionFct<class>( &class::function, #class "_" #function);
   // call it with functionPointer, clientID, args
 #define callStaticNetworkFunction( functionPointer, ...) \
Index: code/trunk/src/network/NetworkPrecompiledHeaders.h
===================================================================
--- code/trunk/src/network/NetworkPrecompiledHeaders.h	(revision 3196)
+++ code/trunk/src/network/NetworkPrecompiledHeaders.h	(revision 3196)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+@file
+@brief
+    Compilation of the most often used header files in the network library
+*/
+
+#include "NetworkPrereqs.h"
+
+#include <fstream>
+#include <iostream>
+#include <list>
+#include <map>
+#include <set>
+#include <sstream>
+#include <string>
+#include <vector>
+
+
+#ifdef ORXONOX_COMPILER_MSVC
+
+#define WIN32_LEAN_AND_MEAN
+#include <enet/enet.h>
+#undef max
+#undef min
+
+// Too larg PCH file if you include this and only 10% faster
+//#include <boost/thread/recursive_mutex.hpp>
+
+#include "util/CRC32.h"
+#include "util/Debug.h"
+#include "util/Math.h"
+#include "util/mbool.h"
+#include "util/MultiType.h"
+#include "util/String.h"
+
+#include "core/Core.h"
+#include "core/CoreIncludes.h"
+#include "core/Functor.h"
+#include "core/GameMode.h"
+
+#endif /* ORXONOX_COMPILER_MSVC */
Index: code/trunk/src/network/Server.cc
===================================================================
--- code/trunk/src/network/Server.cc	(revision 3102)
+++ code/trunk/src/network/Server.cc	(revision 3196)
@@ -54,5 +54,4 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/Iterator.h"
 #include "packet/Chat.h"
 #include "packet/Packet.h"
Index: code/trunk/src/network/TODO
===================================================================
--- code/trunk/src/network/TODO	(revision 3102)
+++ 	(revision )
@@ -1,15 +1,0 @@
-TODO:
-
-- change ConnectionManager clientlist [done]
-- change gamestatemanager clientlist [done]
-- put them together into ClientInformation [done]
-
-- do better gamestate-update/snapshot-handling [partially done]
-- integrate ClientInformation into gamestatemanager [done]
-
-- write dummyserver and dummyclient (chat system) [done]
-
-- include GameStateClient into Client and write processGamestate (also packetdecoder (virtual))
-- create object with worldentity .....
-
-- try and error ;)
Index: code/trunk/src/network/packet/Gamestate.cc
===================================================================
--- code/trunk/src/network/packet/Gamestate.cc	(revision 3102)
+++ code/trunk/src/network/packet/Gamestate.cc	(revision 3196)
@@ -36,5 +36,4 @@
 #include "core/GameMode.h"
 #include "core/CoreIncludes.h"
-#include "core/Iterator.h"
 
 
